package com.gingersoft.gsa.cloud.common.bean;

import java.io.Serializable;
import java.util.List;

/**
 * @author 宇航. 1239658231@qq.com
 * Date: 2021/5/29
 * Time: 10:56
 * Use:掃碼點餐上菜紙
 */
public class SkyOrderServingBean implements Serializable {
    /**
     * foods : [{"itemDetail":[[{"itemDetail":[],"number":1,"productName":"辣"},{"itemDetail":[],"number":1,"productName":"甜辣"}]],"number":1,"productName":"雞飯(四客)"}]
     * orderId : 11142192
     * person : 9
     * tableName : 512
     */
    private int orderId;
    private int person;
    private String tableName;
    private List<FoodsBean> foods;

    public int getOrderId() {
        return orderId;
    }

    public void setOrderId(int orderId) {
        this.orderId = orderId;
    }

    public int getPerson() {
        return person;
    }

    public void setPerson(int person) {
        this.person = person;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public List<FoodsBean> getFoods() {
        return foods;
    }

    public void setFoods(List<FoodsBean> foods) {
        this.foods = foods;
    }

    public static class FoodsBean {
        /**
         * itemDetail : [[{"itemDetail":[],"number":1,"productName":"辣"},{"itemDetail":[],"number":1,"productName":"甜辣"}]]
         * number : 1
         * productName : 雞飯(四客)
         */
        private int number;
        private String productName;
        private List<List<SkyOrderItemDetailBean>> itemDetail;

        public int getNumber() {
            return number;
        }

        public void setNumber(int number) {
            this.number = number;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public List<List<SkyOrderItemDetailBean>> getItemDetail() {
            return itemDetail;
        }

        public void setItemDetail(List<List<SkyOrderItemDetailBean>> itemDetail) {
            this.itemDetail = itemDetail;
        }
    }
}
